function result = isValidParameterConfiguration( N, H, gamma )
%ISVALIDPARAMETERCONFIGURATION tests if a parameter configuration is valid

result = true;
if min(H,gamma) < 0
    result = false;
    return
end    

if H > gamma
    result = false;
    return
end

% derived from constraint p >= -gamma/2 to stay with integers
divisor = ((N-1)+H-2*gamma);
if (divisor == 0) ...
    || (divisor > 0 && -gamma*divisor > 2*(gamma*gamma-(N-1)*H))...
    || (divisor < 0 && -gamma*divisor < 2*(gamma*gamma-(N-1)*H))
    result = false;
end
end

